<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="Thermo MAAP"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% if writable %}
    <div class="menu communication-state hide-false">
        <button class="menu mdi mdi-menu" title="Instrument actions"></button>
        <ul class="menu menu-below">
            <li><button id="{{uid}}_spot_advance" class="simple-command" command="spot_advance"
                        title="Advance the filter tape to the next sampling spot.">Advance Spot</button></li>
        </ul>
    </div>
    {% endif %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <table class="content display-data communication-state hide-false">
        <tbody>
            <tr> <td>EBC (μg/m³)</td>                   <td class="value-formatted" field="X" decimals="3" rightpad="3"></td> </tr>
            <tr> <td>σ<sub>ap</sub> (Mm⁻¹)</td>         <td class="value-formatted" field="Ba" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>Transmittance</td>                 <td class="value-formatted" field="Ir" decimals="6"></td> </tr>
            <tr> <td>I<sub>reference</sub></td>         <td class="value-formatted" field="If" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>I<sub>sample</sub></td>            <td class="value-formatted" field="Ip" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>I<sub>135°</sub></td>              <td class="value-formatted" field="Is135" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>I<sub>165°</sub></td>              <td class="value-formatted" field="Is165" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>SSA</td>                           <td class="value-formatted" field="SSA" decimals="5" rightpad="1"></td> </tr>
            <tr> <td>Flow (lpm)</td>                    <td class="value-formatted" field="Q" decimals="3" rightpad="3"></td> </tr>
            <tr> <td>Pump (%)</td>                      <td class="value-formatted" field="PCT" decimals="1" rightpad="5"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Temperature</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Sample (°C)</td>                   <td class="value-formatted" field="Tsample" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>Measurement head (°C)</td>         <td class="value-formatted" field="Thead" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>System (°C)</td>         <td class="value-formatted" field="Tsystem" decimals="2" rightpad="4"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Pressure</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Sample (hPa)</td>                  <td class="value-formatted" field="P" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>Orifice drop (hPa)</td>            <td class="value-formatted" field="PDorifice" decimals="2" rightpad="4"></td> </tr>
            <tr> <td>Vacuum drop (hPa)</td>             <td class="value-formatted" field="PDvacuum" decimals="2" rightpad="4"></td> </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state notification-state hide-false"
         notification="spot_advancing"><span class="mdi mdi-loading mdi-spin"></span>Advancing spot</div>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="led_too_weak">LED signal too weak</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="memory_error">Memory error detected (see detailed status)</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="mechanical_error">Mechanical error detected (see detailed status)</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="pressure_error">Pressure error detected (see detailed status)</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="flow_error">Flow error detected (see detailed status)</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="detector_error">Photodetector fault (see detailed status)</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="temperature_error">Temperature error detected (see detailed status)</div>

    <div class="content display-data communication-state notification-state hide-false"
         notification="zero"><span class="mdi mdi-loading mdi-spin"></span>Sensor zero in progress</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="pump_off"><span class="mdi mdi-loading mdi-spin"></span>Pump off</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="manual_operation"><span class="mdi mdi-loading mdi-spin"></span>Manual operation (off-line, keyboard enabled)</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="calibration_enabled"><span class="mdi mdi-loading mdi-spin"></span>Calibration in progress</div>
    <div class="content display-data communication-state notification-state hide-false"
         notification="mains_on"><span class="mdi mdi-loading mdi-spin"></span>Mains on (reset after filter change)</div>

</div>


<script>
(function() {
    const context = document.getElementById('{{uid}}').context;
    context.standardMode();
})();
</script>